Updates
Update items across sites
POST
Permission: wp.updates on each site named
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
Idempotency-Key?stringAny unique string up to 255 characters. Retrying with the same key returns the first request's stored response (header Idempotent-Replayed: true) instead of doing it again, for 24 hours. The same key with a different request is refused (idempotency_key_reused).
Length
1 <= length <= 255application/json- body
Either specific items, or a scope.
scope is what the "update all plugins" / "update everything" buttons
send; items is what a single row's button sends.
site_ids?array<>|nullitems?array<>|nullscope?|nullSuccessful Response
application/json- response
success*booleandata*The same action on several sites: one task per site.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/updates/apply" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "tasks": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "task_type": "string", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "status": "string", "result": "string", "error_message": "string", "metadata_json": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" } ] }}